# Uses of Enum Class
org.opensaml.saml.saml2.metadata.ContactPersonTypeEnumeration

Packages that use ContactPersonTypeEnumeration
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of ContactPersonTypeEnumeration in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return ContactPersonTypeEnumeration
Modifier and Type
Method
Description
`ContactPersonTypeEnumeration`
ContactPerson.`getType()`
Gets the type of contact this person.
`static ContactPersonTypeEnumeration`
ContactPersonTypeEnumeration.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ContactPersonTypeEnumeration[]`
ContactPersonTypeEnumeration.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.saml2.metadata with parameters of type ContactPersonTypeEnumeration
Modifier and Type
Method
Description
`void`
ContactPerson.`setType(ContactPersonTypeEnumeration type)`
Sets the type of contact this person.

## Uses of ContactPersonTypeEnumeration in org.opensaml.saml.saml2.metadata.impl

Fields in org.opensaml.saml.saml2.metadata.impl declared as ContactPersonTypeEnumeration
Modifier and Type
Field
Description
`private ContactPersonTypeEnumeration`
ContactPersonImpl.`type`
Contact person type.
Methods in org.opensaml.saml.saml2.metadata.impl that return ContactPersonTypeEnumeration
Modifier and Type
Method
Description
`ContactPersonTypeEnumeration`
ContactPersonImpl.`getType()`
Gets the type of contact this person.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type ContactPersonTypeEnumeration
Modifier and Type
Method
Description
`void`
ContactPersonImpl.`setType(ContactPersonTypeEnumeration theType)`
Sets the type of contact this person.